Create a VM Group
Create a VM Group
- application/json
Request Body
- name string required
subclient name
Hypervisor object required
id int32name stringcontent object required
overwrite booleanDefault value:
trueFalse if content in vmgroup has to be appended, by default it will overwrite the content
virtualMachines object[]
name stringname of the VM to be added as content
GUID stringGUID of the VM to be added as content
type stringPossible values: [
NONE,SERVER,RES_POOL,VAPP,DATACENTER,FOLDER,CLUSTER,DATASTORE,DATASTORE_CLUSTER,VM,VM_NAME,VM_GUEST_OS,VM_GUEST_HOST_NAME,CLUSTER_SHARED_VOLUMES,LOCAL_DISK,CLUSTER_DISK,UNPROTECTED_VMS,ROOT,FILE_SERVER,SMB_SHARE,TYPES_FOLDER,VM_FOLDER,SERVER_FOLDER,TEMPLATE_FOLDER,STORAGE_REPOSITORY_FOLDER,VAPPFOLDER,DATACENTER_FOLDER,CLUSTER_FOLDER,VM_POWER_STATE,VM_NOTES,VM_CUSTOM_ATTRIBUTE,NETWORK,USER,VM_TEMPLATE,TAG,TAG_CATEGORY,SUBCLIENT,CLIENT_GROUP,PROTECTION_DOMAIN,CONSISTENCY_GROUP,INSTANCE_SIZE,ORGANIZATION,IMAGES,STORAGE_POLICY,DATABASE,TABLE,PROJECT,SELECTOR,MANAGED_BY,REPLICATION_MODE,METADATATAG,CATALOG,VAPPTEMPLATE,VOLUME,VM_BADGE,REGION]guestCredentialAssocId int32Credential association ID given to link entity with credential id.
guestCredentials object
userName stringpassword stringexistingCredential object
credentialId int32credentialName stringdescription stringDescription of the VM
ruleGroups object[]
matchRule MatchRulePossible values: [
ALL,ANY]Enum which specifies the whether to match all rules or any of the rules
rules object[]
name stringname of the VM to be added as content
type stringPossible values: [
NONE,SERVER,RES_POOL,VAPP,DATACENTER,FOLDER,CLUSTER,DATASTORE,DATASTORE_CLUSTER,VM,VM_NAME,VM_GUEST_OS,VM_GUEST_HOST_NAME,CLUSTER_SHARED_VOLUMES,LOCAL_DISK,CLUSTER_DISK,UNPROTECTED_VMS,ROOT,FILE_SERVER,SMB_SHARE,TYPES_FOLDER,VM_FOLDER,SERVER_FOLDER,TEMPLATE_FOLDER,STORAGE_REPOSITORY_FOLDER,VAPPFOLDER,DATACENTER_FOLDER,CLUSTER_FOLDER,VM_POWER_STATE,VM_NOTES,VM_CUSTOM_ATTRIBUTE,NETWORK,USER,VM_TEMPLATE,TAG,TAG_CATEGORY,SUBCLIENT,CLIENT_GROUP,PROTECTION_DOMAIN,CONSISTENCY_GROUP,INSTANCE_SIZE,ORGANIZATION,IMAGES,STORAGE_POLICY,DATABASE,TABLE,PROJECT,SELECTOR,MANAGED_BY,REPLICATION_MODE,METADATATAG,CATALOG,VAPPTEMPLATE,VOLUME,VM_BADGE,REGION]value stringvalue for the few type of VM Content like powerstate
condition RuleOperationTypePossible values: [
CONTAINS,DOES_NOT_CONTAIN,DOES_NOT_EQUAL,ENDS_WITH,EQUALS,STARTS_WITH]Operation type for VM rules/filters
GUID stringGUID of the entity to be added as content
displayName stringThe display name of the entity to be added
description stringDescription of the rule
description stringplan object required
id int32name stringstorage object
id int32name string- enableIntellisnap boolean
Default value:
falseTrue if Intellisnap has to be enabled
Meditech object
systemName stringMeditech system name
listenerIP stringMeditech Listener IP of FQDN name
listenerPort int32Meditech Listener Port
MBFtimeout int32Default value:
60MBF timeout (in seconds)
userAccount object
name stringusername to access the network path
password stringpassword to access the network path
settings object
useChangedBlockTrackingOnVM booleanDefault value:
trueTrue if Changed Block Tracking is enabled
customSnapshotResourceGroup stringCustom snapshot resource group name for Azure
customSnapshotTags object[]
represents custom tags to be set on snapshots in Azure
name stringrepresents name of the tag
value stringrepresents value of the tag
diskAccesses object[]
represents Disk accesses per region in Azure
region stringrepresents name of the region
diskAccessId stringrepresents the disk access ID
snapshotStorageType stringPossible values: [
Standard_LRS,Premium_LRS,Standard_ZRS]Default SKU for all VM snapshots created for that VM Group
softwareCompression stringThe software compression value in the VM Group.
encryptionFlag stringThe encryption value in the VM Group.
canChangeEncryptionSetting booleanTrue if encryption setting can be modified.
isSnapshotV2 booleanTrue if snapshotv2 prop set on VM group.
regionalSnapshot booleanDefault value:
trueTrue when snapshot storage location is regional
autoDetectVMOwner booleanDefault value:
falseTrue if auto detect VM Owner enabled
allowEmptySubclient booleanTrue if empty subclient is allowed
noOfReaders int32Default value:
5Number of readers for backup
isVMGroupDiskFiltersIncluded booleanIs VM group disk filters included in VM instance disk filters
vmBackupType stringPossible values: [
APPLICATION_AWARE,FILE_SYSTEM_AND_APPLICATION_CONSISTENT,CRASH_CONSISTENT,APP_BASED_BACKUP,INHERITED]isApplicationAware booleanIs the VM App Aware
guestCredentials object
Guest credential for contennt VMs of VM Group
savedCredentials object
id int32name stringcredentials object
name stringusername to access the network path
password stringpassword to access the network path
applicationCredentials object
Application credential for contennt VMs of VM Group and VMs
savedCredentials object
id int32name stringuseVMCheckpointSetting booleanDefault value:
falseTrue if use VM CheckPoint setting is enabled
transportMode stringPossible values: [
AUTO,SAN,HOT_ADD,NAS,NBD_SSL,NBD]Default value:
AUTOtransport mode based on environment. Values are case sensitive
datastoreFreespaceCheck booleanDefault value:
falseTrue if Datastore Free space check is enabled
datastoreFreespaceRequired int32precentage of datastore free space check value
collectFileDetailsforGranularRecovery booleanDefault value:
falseTrue if metadata collection is enabled. Only applicable for Indexing v1
collectFileDetailsFromSnapshotCopy booleanDefault value:
falseTrue if metadata collection is enabled for intellisnap jobs. Only applicable for Indexing v1
jobStartTime int32Start Time for the VM Group Job
crossAccount object
shareOnly booleanTrue if replicate and copy or sharing of amazon snapshot to different amazon account in same or different geographic location is enabled
fullCopy booleanTrue if full copy of amazon snapshot to different amazon account is enabled
destinationAccount object
id int32name stringquiesceGuestFileSystemAndApplications booleanTrue if VM backup type is File system and application consistent
useBackupsetDiskFilters booleanTrue if use of backupset disk filters is allowed
backupStagingStorage stringIt can be a datastore name, file path or Automatic
- 200
- 400
- 500
Success
- application/json
- Schema
- Example (from schema)
Schema
- subclientId int32
- warningCode int32
- errorCode int32
- errorMessage string
Response message
- warningMessage string
Response message
{
"subclientId": 0,
"warningCode": 0,
"errorCode": 0,
"errorMessage": "string",
"warningMessage": "string"
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}